﻿CREATE TABLE dbo.Memo
(
    ID            INT           IDENTITY(1, 1) PRIMARY KEY, -- ID
    Title         NVARCHAR(100) NOT NULL,                   -- 제목
    MailAddress   NVARCHAR(100) NULL,                       -- 메일 주소
    [Description] NVARCHAR(500) NOT NULL,                   -- 설명
    WriteDate     DATETIME      DEFAULT(GETDATE()),         -- 작성일
    WriteIP       NVARCHAR(15)  NULL                        -- 작성 IP 주소
)
GO

INSERT INTO dbo.Memo
VALUES
(
    N'메모1',
    N'test@daum.com',
    N'테스트 문자열1',
    GetDate(),
    '127.0.0.1'
)
Go

INSERT INTO dbo.Memo
VALUES
(
    N'메모2',
    N'test@daum.com',
    N'테스트 문자열2',
    GetDate(),
    '127.0.0.1'
)
Go

CREATE PROCEDURE dbo.ListMemo
AS
    SELECT
        ID
       ,Title
       ,MailAddress
       ,[Description]
       ,WriteDate
       ,WriteIP
    FROM dbo.Memo
    ORDER BY ID DESC
GO