﻿using System;
using System.Configuration;
using System.Data;
using System.Data.SqlClient;
using System.Web.UI;

namespace TestProject
{
    /// <summary>
    /// 메인 페이지
    /// </summary>
    public partial class MainPage : Page
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 데이터 리더 구하기 - GetDataReader()

        /// <summary>
        /// 데이터 리더 구하기
        /// </summary>
        /// <returns>데이터 리더</returns>
        public SqlDataReader GetDataReader()
        {
            SqlConnection connection = new SqlConnection();

            connection.ConnectionString = ConfigurationManager.ConnectionStrings["ConnectionString"].ConnectionString;

            connection.Open();

            SqlCommand command = new SqlCommand();

            command.Connection  = connection;
            command.CommandText = "ListMemo";
            command.CommandType = CommandType.StoredProcedure;

            return command.ExecuteReader(CommandBehavior.CloseConnection);
        }

        #endregion

        ////////////////////////////////////////////////////////////////////////////////////////// Protected

        #region 페이지 로드시 처리하기 - Page_Load(sender, e)

        /// <summary>
        /// 페이지 로드시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        protected void Page_Load(object sender, EventArgs e)
        {
        }

        #endregion
    }
}